import es
import popuplib
import playerlib
import gamethread
import cPickle
import random
import os.path
import math
import urllib2

#####################################################################################################################
##################################### The Bonies ####################################################################
#####################################################################################################################
#
# 1. Boni brings 20 more Health
#
# 2. Boni brings 20 more Ammo
# 
# 3. Boni brings 40 more Armor 
#
# 4. Boni brings 50 more Health
#
# 5. Boni brings 40 more Ammo
#
# 6. Boni brings 100 more Armor
#
# 7. Boni brings 1.2x Speed
#
# 8. Boni brings 1x He, 2x Flashbang and 1x Defuse Kit
#
# 9. Boni brings 560 Gravity
#
# 10. Boni brings 16000 $ or 100 more health
#
#####################################################################################################################
#####################################################################################################################
#####################################################################################################################


#####################################################################################################################
##################################### Start of Options ##############################################################
#####################################################################################################################

##################################### Command Options ###############################################################


pcommand = "!points"                      # Text to write in the chat for BuyPoin Popup ?


##################################### Point Options #################################################################


multi = 3                                 # How much kills needed, for getting one Point ?

lastboni = 2                              # Set this to 1, to get 16000 $ with the 10. boni, or to 2 to get + 100 hp


##################################### Cost Options ##################################################################


points1 = 100                               # How much costs the 1. Boni

points2 = 200                               # How much costs the 2. Boni

points3 = 300                               # How much costs the 3. Boni

points4 = 400                               # How much costs the 4. Boni

points5 = 500                               # How much costs the 5. Boni

points6 = 600                               # How much costs the 6. Boni

points7 = 700                               # How much costs the 7. Boni
 
points8 = 800                               # How much costs the 8. Boni

points9 = 900                               # How much costs the 9. Boni

points10 = 1000                              # How much costs the 10. Boni


##################################### Update Options ################################################################


update = 1                                # Set this to 1 to get notficitated when there is a new version


####################################################################################################################
##################################### End of Options ################################################################
#####################################################################################################################


buyers = {}

info = es.AddonInfo()
info.name = "BuyPoints"
info.version = "1.0"
info.author = "Popoklopsi"
info.url = "http://www.team-wb.de/"
info.basename = "buypoints"
info.description = "With BuyPoints it makes fun to play on your Server. The Players can kill other gamers and get Points, with this Points they can Buy extras, e.g 20 more health etc. The Addon have a Update Notification, Menu Sounds, buy sounds and so on."

def load():
        global buyers
        es.stringtable("downloadables", "sound/buypoints/menu.wav")
        es.stringtable("downloadables", "sound/buypoints/buy.wav")
        file = es.getAddonPath('buypoints') + '/buyers.db'
        if os.path.isfile(file):
            file_players = open(file)
            buyers = cPickle.load(file_players)
            file_players.close()
        es.msg('#multi', '#lightgreen [ #green BuyPoints #lightgreen ] #green was successfully load')
        es.set("%s" % info.basename,info.version)
        es.makepublic("%s" % info.basename)
        if update == 1:
           nowupdate()


def nowupdate():
    update = {}
    update["version"] = "1.0"
    update["name"] = "BuyPoints"
    addonlink = "http://addons.eventscripts.com/addons/view/buypoints"
    page = urllib2.urlopen(addonlink)
    read_it = page.read()
    splitted = read_it.split(">")
    counter1 = 0
    for x in splitted:
	if x.count(update["name"]):
                break
        else:
                counter1 += 1
                
        if counter1 > len(splitted):
                counter1 = 0
    addonversion = splitted[counter1].split()[3]
    if update["version"] != addonversion:
        es.centermsg("There is a new Version for BuyPoints") 
        es.msg("#multi", "#lightgreen [ #green BuyPoints #lightgreen ] #green A new Version is available for #lightgreen BuyPoints")
        playerpopup2 = popuplib.create('playerpopup2')
        playerpopup2.addline("BuyPoints Update info")
        playerpopup2.addline('-----------------------------')
        playerpopup2.addline("There is a new Version for BuyPoints")
        playerpopup2.addline(" ")
        playerpopup2.addline("Update at:")
        playerpopup2.addline(" ")
        playerpopup2.addline("http://addons.eventscripts.com/addons/view/buypoints")
        playerpopup2.addline('-----------------------------')
        for x in es.getUseridList():
            popuplib.send('playerpopup2', x) 
            gamethread.delayed(20, popuplib.unsendname, ("playerpopup2", x))

def es_map_start():
    if update == 1:
       gamethread.delayed(60, nowupdate, ())

def round_start(ev):
    save_dictionary()

def unload():
    save_dictionary()

def es_player_validated(ev):
    steamid1 = ev["networkid"]
    if steamid1 != 'BOT':
       if not buyers.has_key(steamid1):
          buyers[steamid1] = {}
          buyers[steamid1]["kills"] = 0
          buyers[steamid1]["o1"] = 0
          buyers[steamid1]["o2"] = 0
          buyers[steamid1]["o3"] = 0
          buyers[steamid1]["o4"] = 0
          buyers[steamid1]["o5"] = 0
          buyers[steamid1]["o6"] = 0
          buyers[steamid1]["o7"] = 0
          buyers[steamid1]["o8"] = 0
          buyers[steamid1]["o9"] = 0
          buyers[steamid1]["o10"] = 0
          buyers[steamid1]["op1"] = 0
          buyers[steamid1]["op2"] = 0
          buyers[steamid1]["op3"] = 0
          buyers[steamid1]["op5"] = 0
    
def player_death(ev):
       if ev["es_attackerteam"] != ev["es_userteam"]:
           steamid2 = ev["es_attackersteamid"]
           if steamid2 != 'BOT':
              buyers[steamid2]["kills"] = buyers[steamid2]["kills"] + 1

def player_say(ev):
        steamid3 = ev["es_steamid"]
        if ev["text"] == pcommand:
              killsnow = buyers[steamid3]["kills"]
              pointsnow = math.floor(killsnow/multi)
              if popuplib.exists("killpopup"):
                 popuplib.delete("killpopup")
              if popuplib.exists("killpopup2"):
                 popuplib.delete("killpopup2")
              killpopup = popuplib.create('killpopup')
              killpopup.addline("You can Buy a Extra")
              killpopup.addline("You have now %i points" % pointsnow)
              killpopup.addline("----------------------------")
              killpopup.addline("->1. Health Boni")
              killpopup.addline("->2. Ammo Boni")
              killpopup.addline("->3. Armor Boni")
              killpopup.addline("->4. Health Boni")
              killpopup.addline("->5. Ammo Boni")
              killpopup.addline("----------------------------")
              killpopup.addline("->9. Next")
              killpopup.addline("->0. Close")
              killpopup.menuselect = killround
              killpopup.submenu(9, "killpopup2")
              killpopup.submenu(6, "killpopup")
              killpopup.submenu(7, "killpopup")
              killpopup.submenu(8, "killpopup")
              killpopup.send(ev["userid"])
              es.cexec(ev["userid"], "play buypoints/menu.wav")

              killpopup2 = popuplib.create('killpopup2') 
              killpopup2.addline("You can Buy a Extra")
              killpopup2.addline("You have now %i points" % pointsnow)
              killpopup2.addline("----------------------------")
              killpopup2.addline("->1. Armor Boni")
              killpopup2.addline("->2. Speed Boni")
              killpopup2.addline("->3. Stuff Boni")
              killpopup2.addline("->4. Gravity Boni")
              if lastboni == 1:
                 killpopup2.addline("->5. Money Boni")
              if lastboni == 2:
                 killpopup2.addline("->5. Health Boni")
              killpopup2.addline("----------------------------")
              killpopup2.addline("->8. Back")
              killpopup2.addline("->0. Close")
              killpopup2.submenu(9, "killpopup")
              killpopup2.submenu(6, "killpopup")
              killpopup2.submenu(7, "killpopup")
              killpopup2.submenu(8, "killpopup")
              killpopup2.menuselect = killround2
 
def player_spawn(ev):
    spawnerteam = ev["es_userteam"]
    spawnersteamid = ev["es_steamid"]
    spawner = playerlib.getPlayer(ev["userid"])
    pri = spawner.getPrimary()
    sec = spawner.getSecondary()
    if buyers[spawnersteamid]["o1"] == 1:
       if buyers[spawnersteamid]["op1"] == 0:
          es.setplayerprop(ev["userid"], "CBasePlayer.m_iHealth", es.getplayerprop(ev["userid"], "CBasePlayer.m_iHealth") + 20)

    if buyers[spawnersteamid]["o2"] == 1:
       if buyers[spawnersteamid]["op2"] == 0:
          if pri:
             spawner.setAmmo(pri, spawner.getAmmo(pri) + 20)
          if sec:
             spawner.setAmmo(sec, spawner.getAmmo(sec) + 20)

    if buyers[spawnersteamid]["o3"] == 1:
       if buyers[spawnersteamid]["op3"] == 0:
          es.setplayerprop(ev["userid"], "CCSPlayer.m_ArmorValue", es.getplayerprop(ev["userid"], "CCSPlayer.m_ArmorValue") + 40)

    if buyers[spawnersteamid]["o4"] == 1:
       es.msg("Ja 4")
       if buyers[spawnersteamid]["op5"] == 0:
          es.setplayerprop(ev["userid"], "CBasePlayer.m_iHealth", es.getplayerprop(ev["userid"], "CBasePlayer.m_iHealth") + 50)

    if buyers[spawnersteamid]["o5"] == 1:
          if pri:
             spawner.setAmmo(pri, spawner.getAmmo(pri) + 40)
          if sec:
             spawner.setAmmo(sec, spawner.getAmmo(sec) + 40)

    if buyers[spawnersteamid]["o6"] == 1:
       es.setplayerprop(ev["userid"], "CCSPlayer.m_ArmorValue", 100)

    if buyers[spawnersteamid]["o7"] == 1:
       es.setplayerprop(ev["userid"], "CBasePlayer.localdata.m_flLaggedMovementValue", 1.15)

    if buyers[spawnersteamid]["o8"] == 1:
       if spawnerteam == "3":
          es.setplayerprop(ev["userid"], "CCSPlayer.m_bHasDefuser", 1)
       es.server.queuecmd("es_xgive %i weapon_flashbang" % int(ev["userid"]))
       es.server.queuecmd("es_xgive %i weapon_flashbang" % int(ev["userid"]))
       es.server.queuecmd("es_xgive %i weapon_hegrenade" % int(ev["userid"]))

    if buyers[spawnersteamid]["o9"] == 1:
       es.server.queuecmd("est_SetGravity %i 0.7" % int(ev["userid"]))

    if buyers[spawnersteamid]["o10"] == 1:
       if lastboni == 1:
          es.setplayerprop(ev["userid"], "CCSPlayer.m_iAccount", 16000)
       if lastboni == 2:
          es.setplayerprop(ev["userid"], "CBasePlayer.m_iHealth", es.getplayerprop(ev["userid"], "CBasePlayer.m_iHealth") + 100)

def killround (userid, choice, popupid):
    if choice == 1:
       if popuplib.exists("boni1"):
                        popuplib.delete("boni1")
       es.cexec(userid, "play buypoints/menu.wav") 
       boni1 = popuplib.create("boni1")
       boni1.addline("First Boni")
       boni1.addline("The First Boni brings you always 20 more health")
       boni1.addline(" ")
       boni1.addline("The First Boni costs %i Points" % points1)
       boni1.addline(" ")
       boni1.addline("--------------------------")
       boni1.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o1"] == 0:
          boni1.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o1"] == 1:
          boni1.addline("->1. Already Buyed")
       boni1.addline(" ")
       boni1.addline("--------------------------")
       boni1.addline("->8. Back")
       boni1.addline("->0. Close")
       boni1.menuselect = boniround1
       boni1.submenu(1, "killpopup")
       boni1.submenu(2, "boni1")
       boni1.submenu(3, "boni1")
       boni1.submenu(4, "boni1")
       boni1.submenu(5, "boni1")
       boni1.submenu(6, "boni1")
       boni1.submenu(7, "boni1")
       boni1.submenu(9, "boni1")
       boni1.submenu(8, "killpopup")
       boni1.send(userid)

    if choice == 2:
       if popuplib.exists("boni2"):
                        popuplib.delete("boni2")
       es.cexec(userid, "play buypoints/menu.wav")
       boni2 = popuplib.create("boni2")
       boni2.addline("The Second Boni brings you always 20 more Ammo")
       boni2.addline(" ")
       boni2.addline("The Second Boni costs %i Points" % points2)
       boni2.addline(" ")
       boni2.addline("--------------------------")
       boni2.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o2"] == 0:
          boni2.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o2"] == 1:
          boni2.addline("->1. Already Buyed")
       boni2.addline(" ")
       boni2.addline("--------------------------")
       boni2.addline("->8. Back")
       boni2.addline("->0. Close")
       boni2.menuselect = boniround2
       boni2.submenu(1, "killpopup")
       boni2.submenu(8, "killpopup")
       boni2.submenu(2, "boni2")
       boni2.submenu(3, "boni2")
       boni2.submenu(4, "boni2")
       boni2.submenu(5, "boni2")
       boni2.submenu(6, "boni2")
       boni2.submenu(7, "boni2")
       boni2.submenu(9, "boni2")
       boni2.send(userid)

    if choice == 3:
       if popuplib.exists("boni3"):
                        popuplib.delete("boni3")
       es.cexec(userid, "play buypoints/menu.wav")
       boni3 = popuplib.create("boni3")
       boni3.addline("The Third Boni brings you always Kevlar")
       boni3.addline(" ")
       boni3.addline("The Third Boni costs %i Points" % points3)
       boni3.addline(" ")
       boni3.addline("--------------------------")
       boni3.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o3"] == 0:
          boni3.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o3"] == 1:
          boni3.addline("->1. Already Buyed")
       boni3.addline(" ")
       boni3.addline("--------------------------")
       boni3.addline("->8. Back")
       boni3.addline("->0. Close")
       boni3.menuselect = boniround3
       boni3.submenu(1, "killpopup")
       boni3.submenu(8, "killpopup")
       boni3.submenu(2, "boni3")
       boni3.submenu(3, "boni3")
       boni3.submenu(4, "boni3")
       boni3.submenu(5, "boni3")
       boni3.submenu(6, "boni3")
       boni3.submenu(7, "boni3")
       boni3.submenu(9, "boni3")
       boni3.send(userid)

    if choice == 4:
       if popuplib.exists("boni4"):
                        popuplib.delete("boni4")
       es.cexec(userid, "play buypoints/menu.wav")
       boni4 = popuplib.create("boni4")
       boni4.addline("The Fourth Boni brings you always 50 more health")
       boni4.addline(" ")
       boni4.addline("The Fourth Boni costs %i Points" % points4)
       boni4.addline(" ")
       boni4.addline("--------------------------")
       boni4.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o4"] == 0:
          boni4.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o4"] == 1:
          boni4.addline("->1. Already Buyed")
       boni4.addline(" ")
       boni4.addline("--------------------------")
       boni4.addline("->8. Back")
       boni4.addline("->0. Close")
       boni4.menuselect = boniround4
       boni4.submenu(1, "killpopup")
       boni4.submenu(8, "killpopup")
       boni4.submenu(2, "boni4")
       boni4.submenu(3, "boni4")
       boni4.submenu(4, "boni4")
       boni4.submenu(5, "boni4")
       boni4.submenu(6, "boni4")
       boni4.submenu(7, "boni4")
       boni4.submenu(9, "boni4")
       boni4.send(userid)

    if choice == 5:
       if popuplib.exists("boni5"):
                        popuplib.delete("boni5")
       es.cexec(userid, "play buypoints/menu.wav")
       boni5 = popuplib.create("boni5")
       boni5.addline("The Fifth Boni brings you always 40 more Ammo")
       boni5.addline(" ")
       boni5.addline("The Fifth Boni costs %i Points" % points5)
       boni5.addline(" ")
       boni5.addline("--------------------------")
       boni5.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o5"] == 0:
          boni5.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o5"] == 1:
          boni5.addline("->1. Already Buyed")
       boni5.addline(" ")
       boni5.addline("--------------------------")
       boni5.addline("->8. Back")
       boni5.addline("->0. Close")
       boni5.menuselect = boniround5
       boni5.submenu(1, "killpopup")
       boni5.submenu(8, "killpopup")
       boni5.submenu(2, "boni5")
       boni5.submenu(3, "boni5")
       boni5.submenu(4, "boni5")
       boni5.submenu(5, "boni5")
       boni5.submenu(6, "boni5")
       boni5.submenu(7, "boni5")
       boni5.submenu(9, "boni5")
       boni5.send(userid)

def killround2 (userid, choice, popupid):
    if choice == 1:
       if popuplib.exists("boni6"):
                        popuplib.delete("boni6")
       es.cexec(userid, "play buypoints/menu.wav")
       boni6 = popuplib.create("boni5")
       boni6.addline("The Sixth Boni brings you always Kevlar and Helm")
       boni6.addline(" ")
       boni6.addline("The Sixth Boni costs %i Points" % points6)
       boni6.addline(" ")
       boni6.addline("--------------------------")
       boni6.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o6"] == 0:
          boni6.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o6"] == 1:
          boni6.addline("->1. Already Buyed")
       boni6.addline(" ")
       boni6.addline("--------------------------")
       boni6.addline("->8. Back")
       boni6.addline("->0. Close")
       boni6.menuselect = boniround6
       boni6.submenu(1, "killpopup2")
       boni6.submenu(8, "killpopup2")
       boni6.submenu(2, "boni6")
       boni6.submenu(3, "boni6")
       boni6.submenu(4, "boni6")
       boni6.submenu(5, "boni6")
       boni6.submenu(6, "boni6")
       boni6.submenu(7, "boni6")
       boni6.submenu(9, "boni6")
       boni6.send(userid)

    if choice == 2:
       if popuplib.exists("boni7"):
                        popuplib.delete("boni7")
       es.cexec(userid, "play buypoints/menu.wav")
       boni7 = popuplib.create("boni7")
       boni7.addline("The Seventh Boni brings you always 1.2x Speed")
       boni7.addline(" ")
       boni7.addline("The Seventh Boni costs %i Points" % points7)
       boni7.addline(" ")
       boni7.addline("--------------------------")
       boni7.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o7"] == 0:
          boni7.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o7"] == 1:
          boni7.addline("->1. Already Buyed")
       boni7.addline(" ")
       boni7.addline("--------------------------")
       boni7.addline("->8. Back")
       boni7.addline("->0. Close")
       boni7.menuselect = boniround7
       boni7.submenu(1, "killpopup2")
       boni7.submenu(8, "killpopup2")
       boni7.submenu(2, "boni7")
       boni7.submenu(3, "boni7")
       boni7.submenu(4, "boni7")
       boni7.submenu(5, "boni7")
       boni7.submenu(6, "boni7")
       boni7.submenu(7, "boni7")
       boni7.submenu(9, "boni7")
       boni7.send(userid)


    if choice == 3:
       if popuplib.exists("boni8"):
                        popuplib.delete("boni8")
       es.cexec(userid, "play buypoints/menu.wav")
       boni8 = popuplib.create("boni8")
       boni8.addline("The Eighth Boni brings 1 He and 2 Flashs and Defusekit")
       boni8.addline(" ")
       boni8.addline("The Eighth Boni costs %i Points" % points8)
       boni8.addline(" ")
       boni8.addline("--------------------------")
       boni8.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o8"] == 0:
          boni8.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o8"] == 1:
          boni8.addline("->1. Already Buyed")
       boni8.addline(" ")
       boni8.addline("--------------------------")
       boni8.addline("->8. Back")
       boni8.addline("->0. Close")
       boni8.menuselect = boniround8
       boni8.submenu(1, "killpopup2")
       boni8.submenu(8, "killpopup2")
       boni8.submenu(2, "boni82")
       boni8.submenu(3, "boni8")
       boni8.submenu(4, "boni8")
       boni8.submenu(5, "boni8")
       boni8.submenu(6, "boni8")
       boni8.submenu(7, "boni8")
       boni8.submenu(9, "boni8")
       boni8.send(userid)

    if choice == 4:
       if popuplib.exists("boni9"):
                        popuplib.delete("boni9")
       es.cexec(userid, "play buypoints/menu.wav")
       boni9 = popuplib.create("boni9")
       boni9.addline("The Ninth Boni brings you always 600 gravity")
       boni9.addline(" ")
       boni9.addline("The Ninth Boni costs %i Points" % points9)
       boni9.addline(" ")
       boni9.addline("--------------------------")
       boni9.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o9"] == 0:
          boni9.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o9"] == 1:
          boni9.addline("->1. Already Buyed")
       boni9.addline(" ")
       boni9.addline("--------------------------")
       boni9.addline("->8. Back")
       boni9.addline("->0. Close")
       boni9.menuselect = boniround9
       boni9.submenu(8, "killpopup2")
       boni9.submenu(1, "killpopup2")
       boni9.submenu(2, "boni9")
       boni9.submenu(3, "boni9")
       boni9.submenu(4, "boni9")
       boni9.submenu(5, "boni9")
       boni9.submenu(6, "boni9")
       boni9.submenu(7, "boni9")
       boni9.submenu(9, "boni9")
       boni9.send(userid)

    if choice == 5:
       if popuplib.exists("boni10"):
                        popuplib.delete("boni10")
       es.cexec(userid, "play buypoints/menu.wav")
       boni10 = popuplib.create("boni10")
       if lastboni == 1:
           boni10.addline("The Tenth Boni brings you always 16000 $")
       if lastboni == 2:
           boni10.addline("The Tenth Boni brings you always 100 more health")
       boni10.addline(" ")
       boni10.addline("The Tenth Boni costs %i Points" % points10)
       boni10.addline(" ")
       boni10.addline("--------------------------")
       boni10.addline(" ")
       if buyers[es.getplayersteamid(userid)]["o10"] == 0:
          boni10.addline("->1. Buy")
       if buyers[es.getplayersteamid(userid)]["o10"] == 1:
          boni10.addline("->1. Already Buyed")
       boni10.addline(" ")
       boni10.addline("--------------------------")
       boni10.addline("->8. Back")
       boni10.addline("->0. Close")
       boni10.menuselect = boniround10
       boni10.submenu(8, "killpopup2")
       boni10.submenu(1, "killpopup2")
       boni10.submenu(2, "boni10")
       boni10.submenu(3, "boni10")
       boni10.submenu(4, "boni10")
       boni10.submenu(5, "boni10")
       boni10.submenu(6, "boni10")
       boni10.submenu(7, "boni10")
       boni10.submenu(9, "boni10")
       boni10.send(userid)

def boniround1 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points1:
          if buyers[buysteamid]["op1"] == 0:
             if buyers[buysteamid]["op5"] == 0:
                if buyers[buysteamid]["o1"] == 0:
                   buyers[buysteamid]["o1"] = 1
                   es.cexec(userid, "play buypoints/buy.wav") 
                   es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 1" % es.getplayername(userid))
                   buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points1)
                else:
                   es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 1" )
          else:
                   es.tell(buyuserid, "#multi", "#lightgreen You buy already #green a better Boni of Health" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points1)
          

def boniround2 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points2:
          if buyers[buysteamid]["op2"] == 0:
             if buyers[buysteamid]["o2"] == 0:
                buyers[buysteamid]["o2"] = 1
                es.cexec(userid, "play buypoints/buy.wav") 
                es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 2" % es.getplayername(userid))
                buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points2)
             else:
                es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 2" )
          else:
                es.tell(buyuserid, "#multi", "#lightgreen You buy already #green a better Boni of Ammo" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points2)


def boniround3 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points3:
          if buyers[buysteamid]["op3"] == 0:
             if buyers[buysteamid]["o3"] == 0:
                buyers[buysteamid]["o3"] = 1
                es.cexec(userid, "play buypoints/buy.wav") 
                es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 3" % es.getplayername(userid))
                buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points3)
             else:
                es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 3" )
          else:
                es.tell(buyuserid, "#multi", "#lightgreen You buy already #green a better Boni of Armor" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points3)

def boniround4 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points4:
          if buyers[buysteamid]["op5"] == 0:
             if buyers[buysteamid]["o4"] == 0:
                buyers[buysteamid]["o4"] = 1
                buyers[buysteamid]["op1"] = 1
                es.cexec(userid, "play buypoints/buy.wav") 
                es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 4" % es.getplayername(userid))
                buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points4)
             else:
                 es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 4" )
          else:
             es.tell(buyuserid, "#multi", "#lightgreen You buy already #green a better Boni of Health" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points4)

def boniround5 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points5:
          if buyers[buysteamid]["o5"] == 0:
             buyers[buysteamid]["o5"] = 1
             buyers[buysteamid]["op2"] = 1
             es.cexec(userid, "play buypoints/buy.wav") 
             es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 5" % es.getplayername(userid))
             buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points5)
          else:
             es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 5" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points5)

def boniround6 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points6:
          if buyers[buysteamid]["o6"] == 0:
             buyers[buysteamid]["o6"] = 1
             buyers[buysteamid]["op3"] = 1
             es.cexec(userid, "play buypoints/buy.wav") 
             es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 6" % es.getplayername(userid))
             buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points6)
          else:
             es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 6" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points6)

def boniround7 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points7:
             if buyers[buysteamid]["o7"] == 0:
                buyers[buysteamid]["o7"] = 1
                es.cexec(userid, "play buypoints/buy.wav") 
                es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 7" % es.getplayername(userid))
                buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points7)
             else:
                es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 7" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points7)

def boniround8 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points8:
          if buyers[buysteamid]["o8"] == 0:
             buyers[buysteamid]["o8"] = 1
             es.cexec(userid, "play buypoints/buy.wav") 
             es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 8" % es.getplayername(userid))
             buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points8)
          else:
             es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 8" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points8)

def boniround9 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points9:
          if buyers[buysteamid]["o9"] == 0:
                buyers[buysteamid]["o9"] = 1
                es.cexec(userid, "play buypoints/buy.wav") 
                es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 9" % es.getplayername(userid))
                buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points9)
          else:
             es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 9" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points9)

def boniround10 (userid, choice, popupid):
    if choice == 1:
       es.cexec(userid, "play buypoints/menu.wav")
       buyuserid = userid
       buysteamid = es.getplayersteamid(userid)
       killsnow = buyers[buysteamid]["kills"]
       pointsnow = math.floor(killsnow/multi)
       if pointsnow >= points10:
          if buyers[buysteamid]["o10"] == 0:
             buyers[buysteamid]["o10"] = 1
             if lastboni == 2:
                buyers[buysteamid]["op5"] = 1
                buyers[buysteamid]["op1"] = 1
             es.cexec(userid, "play buypoints/buy.wav") 
             es.msg("#multi", "#lightgreen The Player #green %s #lightgreen bought #green Boni 10" % es.getplayername(userid))
             buyers[buysteamid]["kills"] = buyers[buysteamid]["kills"] - (multi*points10)
          else:
             es.tell(buyuserid, "#multi", "#lightgreen You buy already #green Boni 10" )
       else:
              es.tell(buyuserid, "#multi", "#lightgreen You have #green NOT #lightgreen enough points, you need #green %i" % points10)

def save_dictionary():
   file_players = open(es.getAddonPath('buypoints') + '/buyers.db', 'wb')
   cPickle.dump(buyers, file_players)
   file_players.close()